[flake8]
ignore = E203, E266, E501, W503, F403, F401, E402
max-line-length = 80
max-complexity = 10
application-import-names = hypermodern_python,tests
select = B,C,E,F,W,T4,B9
exclude =
    .git,
    __pycache__,
    docs,
    source,
    setup.py,
    build,
    dist,
    bonseyes_aiasset/compress/,
    bonseyes_aiasset/docker/,
    bonseyes_aiasset/export/,
    bonseyes_aiasset/models/,
    bonseyes_aiasset/quantize/,
    bonseyes_aiasset/deploy/demo/,
    bonseyes_aiasset/deploy/http/,
    bonseyes_aiasset/deploy/algorithm/cpp/,

[tool:pytest]
norecursedirs = data algorithm build dist source
